Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Expert éminent sénior
    Eclipse Helios 3.6.2 / Prochaine version Eclipse Indigo 3.7 (M6)
    Eclipse Helios 3.6 :
    La version courante d'Eclipse est Helios 3.6, depuis fin juin 2010.

    Ce qu'apport cette version : http://help.eclipse.org/helios/topic..._whatsnew.html


    La version SR2 de Helios 3.6 est disponible depuis fin février 2011.
    Les projets inclus dans la Release
    Eclipse Indigo 3.7 :
    Les versions intermédiaires (Milestones) de la prochaine version :
    Vos avis nous intéressent. N'hésitez pas à commenter les nouveautés.

  2. #2
    Rédacteur

    L'option Open Implementation est vraiment importante de mon point de vue (marre d'installer un plugin juste pour ça).
    Par contre, le reste des ajouts me laisse assez perpendiculaire au sol...
    Nous sommes tous semblables, alors acceptons nos différences !
    --------------------------------------------------------------
    Liens : Blog | Page DVP | Twitter
    Articles : Hudson | Sonar | Outils de builds Java Maven 3 | Play! 1 | TeamCity| CitConf 2009
    Critiques : Apache Maven

  3. #3
    Membre confirmé
    Utilisateur de PHPEclipse ...
    J'utilise Eclipse depuis un an avec PHPEclipse et Subversion.
    Paumé régulièrement sur les différentes implémentations d'Eclipse, surtout avec PHP (Oui, j'ai essayé PDT mais bof). Et globalement c'est un outil superbe... mais pour tout maîtriser , faut y passer du temps , que d'options !!!
    Alors la 3.6, on verra plus tard... je ne vois rien de très percutant.

  4. #4
    Membre du Club
    Je vois pas trés bien où sont les innovations pour l'utilisateur mais bon à voir...

  5. #5
    Membre actif
    J'espère qu'ils ont amélioré (voire repris ce qu'il y avait dans la 3.4 !) la gestion des proxy réseau. Sur la 3.5, c'est une CATASTROPHE totale ! Ca marche quand ça veut, et selon les plugins utilisés, il faut être en natif ou en manual (ex: les updates ne marchent qu'en "manual", alors que la connexion à un LDAP avec le plugin Apache requiert le mode "natif" !!). Bref, que du bonheur...

    P.S. Je précise que tout marchait parfaitement en 3.4, et c'était infiniment plus simple à comprendre, en plus. Quand le mieux est l'ennemi du bien...

  6. #6
    Membre habitué
    La 3.4 demeure excellente, par contre j'ai touché à la 3.5 avec de bons gros pb de migration.

    Quand on est en prod il faut que cela soit fluide avec de vraies évidences en termes d'améliorations, mais là non.
    Et comme a dit quelqu'un, avec 3.5 un vrai Visual Editor c'est pour quand ?

  7. #7
    Futur Membre du Club
    Tout de même
    Excusez-moi si je suis à côté de la plaque (c'est bien possible), mais il me semblait que Eclipse 3.6 offrait nativement les Facets de projet Java Web correspondant à Java EE 6.

    Si je ne me suis pas planté, c'est quand même super pour les développeurs Java EE...

  8. #8
    Expert éminent sénior
    Pour ceux qui ne l'auraient pas suivi, le Milestone 6 est disponible depuis quelques jours.

    Quelques highlights :

    • Gestion des permissions sur les ressources façon Unix
    • Interruption désormais possible sur l'exécution d'assistants
    • De nouvelles options pour la gestion de patchs dans la vue Synchronize
    • Fonction de refactoring Move Type to New File
    • Amélioration de la configuration des sources associés aux librairies
    • Nouvelles options de configuration de mise en forme de code / commentaire
    • ...

  9. #9
    Rédacteur/Modérateur

    Citation Envoyé par Ricky81 Voir le message
    Gestion des permissions sur les ressources façon Unix
    Oui, enfin je pense que cela ne concerne que les utilisateurs d'Eclipse sous Unix/Linux.

    Sinon, cette M6 semble apporter pas mal de nouveautés intéressantes !
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Gardons toujours à l'esprit que le forum constitue une base documentaire, dont l'utilité et la qualité dépendent du soin apporté à nos questions et nos réponses. Soyons polis, précis (dans le titre et dans le corps des questions), concis, constructifs et faisons de notre mieux pour respecter la langue française et sa grammaire. Merci pour nous (les modérateurs) mais aussi et surtout, merci pour vous.
    Problème solutionné => je vais au bas de la page et je clique sur le bouton (qui suite à mise à jour du forum, a légèrement changé d'aspect).

  10. #10
    Expert éminent
    Est ce qu'ils prevoient une fonctionalite qui permettrait de ne pas analyser un repertoire ?

    Quand on importe un framework, que l on ne veut pas modifier, il est souvent bourre d'erreurs ou de trucs pas super beaux et ca encombre la liste des bugs et des warnings... je n ai jamais retrouve une methode dans la derniere version pour filtrer ces repertoires...
    Mon profil linked in

    Chez Adaptive, nous cherchons un dev senior python / Cloud sur Toulouse sud.
    Nous diffusons de la presse digitale à bord des avions avec les plus beaux partenaires !

    Envoyez moi un mp

  11. #11
    Nouveau membre du Club
    Citation Envoyé par pmithrandir Voir le message
    Est ce qu'ils prevoient une fonctionalite qui permettrait de ne pas analyser un repertoire ?

    Quand on importe un framework, que l on ne veut pas modifier, il est souvent bourre d'erreurs ou de trucs pas super beaux et ca encombre la liste des bugs et des warnings... je n ai jamais retrouve une methode dans la derniere version pour filtrer ces repertoires...
    Si tu n'as pas besoin de modifier le code du framework, le plus simple est de le conserver sous-forme d'un jar externe qui sera ajouté au chemin de compilation.
    Si le jar ne te convient pas et que tu souhaites importer le framework sous forme d'un projet, soit tu n'importes pas le code source, soit tu exclus le répertoire contenant ce code source du chemin de compilation.

  12. #12
    Expert éminent sénior
    Parmi les nouveautés introduites dans le Milestone 7 :
    • utilisation possible du navigateur WebKitGTK+
    • améliorations des possibilités de filtrage de l'éditeur de recherche de ressources
    • nouvelle catégorie "Java Code Style Preferences" dans les Import Preferences
    • configuration possible d'abréviations de noms de package dans le package explorer
    • l'aperçu de la JavaDoc est désormais disponible pour les annotations et inclue l'évaluation de {@value}
    • Console OSGi
    • etc.


    Téléchargez la dernière version

  13. #13

  14. #14
    Nouveau Candidat au Club
    Helios-JEE
    Je regrette que le "Web Profile" ne soit pas encore utilisable; l'adaptateur Glassfish V3 étant absent.
    Je vais donc continuer à tester le "Web Profile" avec Netbeans 6.9

  15. #15
    Membre habitué
    Bonjour

    Est-ce que quelqu'un connait assez Netbeans 6.9 pour faire une comparaison des deux ateliers?

  16. #16
    Modérateur

    effectivement une comparaison entre les deux m'intéresserait aussi..
    "Historiquement, techniquement, économiquement et moralement, Internet ne peut pas être contrôlé. Autant s’y faire." Laurent Chemla

    Je soutiens Diaspora*, le réseau social libre.

    Veillez à porter une attention toute particulière à l'orthographe...

    Blog collaboratif avec des amis : http://geexxx.fr

    Mon avatar a été fait par chiqitos, merci à lui !

  17. #17
    Membre expérimenté
    hum, j'suis en train de tester la bete suite à des problèmes de "freeze" avec eclipse 3.5 et jusqu'ici... tout va bien, avec le même ensemble de plugins et le même workspace. Que du bon

    Merci d'utiliser le bouton [Résolu] pour les sujets qui le sont.
    [pub]mon blog franco anglais, article du moment: Wicket: fournir des données JSON via Ajax[/pub]

  18. #18
    Nouveau Candidat au Club
    tres bien
    j'ai une question, j'ai trouvé deux liens pour le téléchargement ,un disant windows 32 bits et l'autre 64 bits, sachant que j'ai téléchargé le 32 bits et que j'ai windows 7 integral edition 64 bits est ce que ca va me poser des problemes ??

  19. #19
    Rédacteur/Modérateur

    Citation Envoyé par a_baitiche Voir le message
    j'ai une question, j'ai trouvé deux liens pour le téléchargement ,un disant windows 32 bits et l'autre 64 bits, sachant que j'ai téléchargé le 32 bits et que j'ai windows 7 integral edition 64 bits est ce que ca va me poser des problemes ??
    Non.

    Par contre, si tu en rencontres malgré tout, alors n'hésite pas à parcourir le forum pour voir s'ils n'ont pas déjà été évoqués
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Gardons toujours à l'esprit que le forum constitue une base documentaire, dont l'utilité et la qualité dépendent du soin apporté à nos questions et nos réponses. Soyons polis, précis (dans le titre et dans le corps des questions), concis, constructifs et faisons de notre mieux pour respecter la langue française et sa grammaire. Merci pour nous (les modérateurs) mais aussi et surtout, merci pour vous.
    Problème solutionné => je vais au bas de la page et je clique sur le bouton (qui suite à mise à jour du forum, a légèrement changé d'aspect).

  20. #20
    Membre régulier
    Citation Envoyé par r2d2abc Voir le message
    La 3.4 demeure excellente, par contre j'ai touché à la 3.5 avec de bons gros pb de migration.

    Quand on est en prod il faut que cela soit fluide avec de vraies évidences en termes d'améliorations, mais là non.
    Et comme a dit quelqu'un, avec 3.5 un vrai Visual Editor c'est pour quand ?
    J'ai par contre moi tenté d'installer VE sous hélios. J'ai été obligé de signer abandon. Quelqu'un a t-il réussi à le faire ?
    L'important n'est pas de tout savoir mais de savoir où tout se trouve !

###raw>template_hook.ano_emploi###